unit uaproximador_xcf;

{$mode delphi}
(*
  El espacio de estado está formado por un vector dividido en variables continuas xr
  y en variables discretas xd
  El Tiempo, es otra dimensión.
  Esta unidad define una clase genérica para la aproximación del Manto Real: CF(xr, xd, t)

  Se supone que dado un tiempo t  queda definido un dominio de (xr, xd) y un aproximador
  del mapeo CF = CF( xr, xd, t ).

*)

interface

uses
  Classes, SysUtils, xmatdefs, matreal, utrayectorias_xcdpcf;

Type
  TAproximador_XCF = class
    constructor Create( dimXr, dimXd, nPuntosT: integer; dtIni, dtFin, dtPaso: TDateTime );
    function CF( X: TEstadoX, t: NReal ): NReal; virtual; abstract;
    function gradCF( X: TEstadoX, t: NReal ): TVectR; virtual: abstract;
  end;

  TAproximador_MultiPlano = class
    MultiPlano: TDAOf

implementation

end.

